<div class="login">
  <mat-card class="login-card mat-elevation-z8">
    <mat-card-header class="login-card-header">
      <mat-card-title>Login</mat-card-title>
    </mat-card-header>

    <mat-card-content class="login-card-content">
      <form [formGroup]="loginForm" class="login-form" (ngSubmit)="onSubmit()">

        <mat-form-field>
          <input matInput type="text" formControlName="email" placeholder="Email"
            [ngClass]="{invalid: loginForm.get('email').invalid && loginForm.get('email').touched}">
          <mat-error *ngIf="loginForm.get('email').invalid && loginForm.get('email').touched">
            <mat-error *ngIf="loginForm.get('email').errors['required']">
              Please enter email address
            </mat-error>
            <mat-error *ngIf="loginForm.get('email').errors['email']">
              Please enter valid email address
            </mat-error>
            <mat-error *ngIf="error">
              {{error}}
            </mat-error>
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput type="password" placeholder="Password" name="password" formControlName="password"
            [ngClass]="{invalid: loginForm.get('password').invalid && loginForm.get('password').touched}">
          <mat-error *ngIf="loginForm.get('password').invalid && loginForm.get('password').touched">
            <mat-error *ngIf="loginForm.get('password').errors['required']">
              Please enter password
            </mat-error>
          </mat-error>

        </mat-form-field>
        <div class="login-alert"><span *ngIf="error" class="alert-danger">{{error}}</span></div>
        <mat-card-actions class="login-card-actions">
          <button type="submit" mat-raised-button color="primary"
            [disabled]="loading || loginForm.invalid || loginForm.disabled">
            Login
          </button>
        </mat-card-actions>
        <img src="../../assets/img/Girl-next-to-the-bike-unlocking.svg" alt="login-img">
      </form>
    </mat-card-content>
  </mat-card>
</div>